=head1 NAME

fbstat - reporting Firebird database statistics

=head1 SYNOPSIS

fbstat [I<option>...] I<database> [I<option>...]

=head1 DESCRIPTION

B<fbstat> is a tool for retrieving various statistics about Firebird databases.

The original tool is named B<gstat>, but had to be renamed in Debian due to a
file name conflict.

=head1 OPTIONS

=over

=item B<-a|-all>

Process both data and index pages (default if none of B<-data>, B<-header> and
B<-index> is given).

=item B<-d|-data>

Process data pages.

=item B<-h|-header>

Process the header page.

=item B<-i|-index>

Process index pages.

=item B<-p|-password> I<password>

Password to use for connecting to the firebird server.

=item B<-fetch> I<filename>

Get password from the given I<filename>.

=item B<-r>

Analyze average record and version length.

=item B<-system>

Also process system tables in addition to user tables.

=item B<-u|-user> I<name>

Username to use for connecting to the firebird server.

=item B<-t> I<tablename> [I<tablename>...]

Process given tables only. Multiple table names may be given only if the option
is used after I<database>.

=item B<-z>

Prints product version.

=back

=head1 AUTHOR AND LICENSE

This manpage was written by Damyan Ivanov L<dmn@debian.org> for Debian
GNU/Linux but may be used by others. Permission is granted to use this
document, with or without modifications, provided that this notice is retained.
If we meet some day, and you think this stuff is worth it, you can buy me a
beer in return.
